1781375450

This commit is contained in:
2026-06-13 12:30:50 -06:00
parent 82426bb3f2
commit 55c6df5273
+5 -10
View File
@@ -1,13 +1,12 @@
#!/usr/bin/env bash #!/usr/bin/env bash
# packages: 7zip, shred, secure-delete, cracklib-runtime, openssl, curl # packages: 7zip, shred, secure-delete, cracklib-runtime, openssl, curl
# set -o errtrace
set -o errtrace # set -o nounset
set -o nounset # set -o pipefail
set -o pipefail
IFS=$'\n\t' IFS=$'\n\t'
unix_seconds=$(date +%s) unix_seconds=$(date +%s)
key_path="./private_ed25519_${unix_seconds}" key_path="keystore/private_ed25519_${unix_seconds}"
signature_tag="file-integrity" signature_tag="file-integrity"
out_dir="./out" out_dir="./out"
inner_dir="$out_dir/contents" inner_dir="$out_dir/contents"
@@ -216,10 +215,6 @@ exit_cleanup() {
trap error_handle ERR trap error_handle ERR
trap exit_cleanup EXIT trap exit_cleanup EXIT
# ret=`audit_passphrase 'yw0EKY6wbSxU6KJxWN3vFZDgnSjJ4F8wqFrAJMcDxfU' 'yw0EKY6wbSxU6KJxWN3vFZDgnSjJ4F8wqFrAJMcDxfU'`
# echo $ret
# exit 0
require_dependencies require_dependencies
printf 'Setting up environment...\n' printf 'Setting up environment...\n'
reset reset
@@ -229,7 +224,7 @@ read -n 1 -s -r -p "In another terminal/window, fill $inner_dir with whatever yo
printf '\n' printf '\n'
printf 'ssh-keygen: creating new key: %s...\n' "$key_path" printf 'ssh-keygen: creating new key: %s...\n' "$key_path"
ssh-keygen -t ed25519 -f "$key_path" -C 'anonymous' -N '' >/dev/null 2>&1 ssh-keygen -t ed25519 -C 'anonymous' -N '' -f "$key_path" # >/dev/null 2>&1
checkcode $? checkcode $?
printf 'ssh-keygen: fixing permissions on %s and %s...\n' "$key_path" "${key_path}.pub" printf 'ssh-keygen: fixing permissions on %s and %s...\n' "$key_path" "${key_path}.pub"